=head1 NAME

Gtk2::FileChooserDialog - wrapper for GtkFileChooserDialog

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Window
                                +----Gtk2::Dialog
                                     +----Gtk2::FileChooserDialog



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::FileChooser



=cut


=head1 METHODS

=head2 widget = Gtk2::FileChooserDialog-E<gt>B<new> ($title, $parent, $action, ...)

=over

=item * $title (string) 

=item * $parent (Gtk2::Window or undef) 

=item * $action (Gtk2::FileChooserAction) 

=item * ... (list) list of button-text => response-id pairs

=back



=head2 widget = Gtk2::FileChooserDialog->B<new_with_backend> ($title, $parent, $action, $backend, ...)

=over

=item * $title (string) 

=item * $parent (Gtk2::Window or undef) 

=item * $action (Gtk2::FileChooserAction) 

=item * ... (list) list of button-text => response-id pairs

=item * $backend (string) 

=back





=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::FileChooserAction

=over

=item * 'open' / 'GTK_FILE_CHOOSER_ACTION_OPEN'

=item * 'save' / 'GTK_FILE_CHOOSER_ACTION_SAVE'

=item * 'select-folder' / 'GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER'

=item * 'create-folder' / 'GTK_FILE_CHOOSER_ACTION_CREATE_FOLDER'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Window>, L<Gtk2::Dialog>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

